curl --request DELETE \
--url https://api.byteful.com/1.0/public/user/service/cancel/{service_id} \
--header 'Content-Type: <content-type>' \
--header 'X-API-Private-Key: <api-key>' \
--header 'X-API-Public-Key: <api-key>' \
--data '
{
"cancel_comment": "<string>"
}
'import requests
url = "https://api.byteful.com/1.0/public/user/service/cancel/{service_id}"
payload = { "cancel_comment": "<string>" }
headers = {
"Content-Type": "<content-type>",
"X-API-Private-Key": "<api-key>",
"X-API-Public-Key": "<api-key>"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {
'Content-Type': '<content-type>',
'X-API-Private-Key': '<api-key>',
'X-API-Public-Key': '<api-key>'
},
body: JSON.stringify({cancel_comment: '<string>'})
};
fetch('https://api.byteful.com/1.0/public/user/service/cancel/{service_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"edited": [
"API-1234-5678"
],
"message": "Service successfully canceled.",
"proxy_edited": [
"a7f8b4f1-da8d-4e9f-bdd2-21e74d2eafff",
"f5bade6e-29b2-4a8a-bd4d-21c528794dd6"
]
}Cancel Service
Allows the authenticated user to cancel a specific service associated with their account. The user provides a service_id and optionally a cancel feedback and comment.
Authorizations
Private API key for user-level authentication.
Public API key for user-level authentication.
Headers
Content type for the request body as application/json.
Path Parameters
ID of the Service to cancel
Body
Service cancellation details.
A short comment explaining the reason for cancellation. Maximum 300 characters.
300Feedback code indicating the cancellation reason.
too_expensive, missing_features, switched_service, unused, customer_service, too_complex, low_quality, other Response
Successfully canceled the service.
List of service IDs that were successfully canceled.
The service ID.
["API-1234-5678"]
Success message indicating the successful cancellation of the service.
"Service successfully canceled."
List of proxy IDs that were affected by the cancellation of the service.
The proxy ID.
[
"a7f8b4f1-da8d-4e9f-bdd2-21e74d2eafff",
"f5bade6e-29b2-4a8a-bd4d-21c528794dd6"
]

